<?php

namespace Modules\Installment\Entities;

use Illuminate\Database\Eloquent\Model;
use Modules\Installment\Entities\InstallmentPlanPaymentStep;
use Modules\Installment\Entities\InstallmentPurchaseRequest;

class InstallmentPurchasePayment extends Model
{
    protected $fillable = [];
    public function step(){
        return $this->belongsTo(InstallmentPlanPaymentStep::class, 'step_id', 'id');
    }
    public function installmentPurchaseRequest(){
        return $this->belongsTo(InstallmentPurchaseRequest::class, 'installment_purchase_id', 'id');
    }
}
